
Redmine - Patch #28191

Add assignable, issues_visibility, time_entries_visibility and users_visibility to Roles API response

2018-02-14 15:38 - Alex Stanev

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: REST API Estimated time: 0.00 hour

Target version: 4.0.0   

Description

Currently we are missing global roles fields: assignable, issues_visibility, time_entries_visibility and users_visibility. The assignable

one is pretty useful when editing issue via API.

Associated revisions

Revision 17498 - 2018-09-23 02:17 - Go MAEDA

Add assignable, issues_visibility, time_entries_visibility and users_visibility to Roles API response (#28191).

Patch by Alex Stanev.

History

#1 - 2018-02-14 15:48 - Marius BĂLTEANU

Thanks for the patch.

Can you add some assertions to your patch? source:trunk/test/integration/api_test/roles_test.rb#L54

It'll increase the chances to be taken into consideration.

#2 - 2018-02-14 19:55 - Mischa The Evil

- Category changed from Permissions and roles to REST API

#3 - 2018-02-28 19:17 - Alex Stanev

- File extend-roles-api-fields_v2.patch added

Adding assertions, all tests passed.

#4 - 2018-03-10 05:49 - Go MAEDA

- Target version set to Candidate for next major release

#5 - 2018-09-22 14:29 - Go MAEDA

- Target version changed from Candidate for next major release to 4.1.0

Setting target version to 4.1.0.

#6 - 2018-09-23 02:18 - Go MAEDA

- Subject changed from Extend roles API with all additional fields to Add assignable, issues_visibility, time_entries_visibility and users_visibility to

Roles API response

- Status changed from New to Closed

- Assignee set to Go MAEDA

- Target version changed from 4.1.0 to 4.0.0

Committed. Thank you for your contribution.

Files

extend-roles-api-fields.patch 566 Bytes 2018-02-14 Alex Stanev

extend-roles-api-fields_v2.patch 1.29 KB 2018-02-28 Alex Stanev
